freemarker.cache

## Class NotMatcher

- java.lang.Object
- - freemarker.cache.TemplateSourceMatcher
  - - freemarker.cache.NotMatcher

    public class NotMatcher
    extends TemplateSourceMatcher

Logical "not" operation on the given matcher.

Since:
  2.3.24

### Constructor Summary

Constructors
Constructor and Description
`NotMatcher(TemplateSourceMatcher matcher)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(String sourceName, Object templateSource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotMatcher

    public NotMatcher(TemplateSourceMatcher matcher)

### Method Detail

#### matches

    public boolean matches(String sourceName,
                           Object templateSource)
                    throws IOException

Throws:
  `IOException`